-------------------------------
-- Sphere Background Creator --
-------------------------------
local addon, ns = ...
local ss = ns.SS

local mtBackground = {};

--- Creates a new background texture.
-- @param parent The parent container.
-- @return The background texture.
--
function mtBackground:New(parent)
  local bg = parent:CreateTexture(nil,"BACKGROUND")
  bg:SetTexture  (ss.private.textures.gloss)
  bg:SetAllPoints(parent)

  return bg
end

ss.Utils.addModule("BackgroundCreator", mtBackground)
